/* Par_get_char.c */
/*
   Copyright (C) 2006 John W. Jordan
   All Rights Reserved

  This file is part of Dante.
  Dante is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the license, or
  ( at your option ) any later version.
  Dante is distributed in the hope that it will be usefull,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A OARTICULAR PURPOSE. See the
  GNU General Public License for more detaile.
  You should have received a copy of the GNU General Public License
  along with Dante; if not write to the Free Software
  Foundation. Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301
USA
*/
#include "par.h"

static const int debug = 1;

/* --------------------------------------- */
/* Assumes the buffer ends with a 0 char. */
/* Should be a limit condition also. */
int
par_get_char (PAR * par)
{
  int c;
   
    if (par->buffer_input)
    {
      c = par->buffer[(par->buf_pos)++];
      if (c == 0)
         par->buf_pos--;
         
      if (debug)
	printf ("PAR_GET_CHAR FROM BUFFER: [%c][%d]\n", c, c);
    }
    else
     c = fgetc (par->fd);

  if (debug)
   printf ("PAR_GET_CHAR: [%c][%d]\n", c, c);
  

  return c;
}
