/* par_lex_accept.c */
/*
   Copyright (C) 2006 John W. Jordan
   All Rights Reserved

  This file is part of Dante.
  Dante is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the license, or
  ( at your option ) any later version.
  Dante is distributed in the hope that it will be usefull,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A OARTICULAR PURPOSE. See the
  GNU General Public License for more detaile.
  You should have received a copy of the GNU General Public License
  along with Dante; if not write to the Free Software
  Foundation. Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301
USA
*/

#include <stdio.h>
#include <string.h>
#include "par.h"

/* ------------------------------------ */
int
par_lex_accept (PAR * par)
{
  if (par->sindex < par->slimit)
    {
      par->symbol[par->sindex++] = par->lex_c;
      par->symbol[par->sindex] = '\0';
      return 1;
    }
  else
    {
      fprintf (stderr, "LEXER: Max symbol length exceeded.\n");
      fprintf (stderr, "LEXER: Check for unterminated string.\n");
      par->symbol[200] = '\0';
      printf ("PAR_LEX_ACCEPT: [%s]\n", par->symbol);
      printf ("sindex %d slimit %d\n", par->sindex, par->slimit);
      exit (1);
    }

}
