/* par_dan_init.c */
/*
   Copyright (C) 2006 John W. Jordan
   All Rights Reserved
*/
/* 
  This file is part of Dante.
  Dante is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the license, or
  ( at your option ) any later version.
  Dante is distributed in the hope that it will be usefull,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A OARTICULAR PURPOSE. See the
  GNU General Public License for more detaile.
  You should have received a copy of the GNU General Public License
  along with Dante; if not write to the Free Software
  Foundation. Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301
USA
*/
#include "par.h"
void par_dan_init (PAR *par, int symbol_limit)
{
   par->fd = 0;
   par->act = 0;
   par->lineno = 1;
   par->symbol = (char *)xmalloc(symbol_limit + 2);
   par->symbol[0] = 0;
   par->match = 1;
   par ->sindex = 0;
   par ->slimit = symbol_limit;  
   par->error_flag = 0;
   par->buffer = 0;
   par->buf_pos = 0; 
   par->buffer_input = 0;
   par->lex_m = 1;
   par->lex_c = ' ';
   par->lex_t = ' ';
     
   par->pname = 0;
   par->top_rule = 0;  
   par->sub_of = 0;
   par->gen_flex = 0;
   par->gen_code = 0;
   par->gen_intp = 0;
   par->gen_lexer = 0;
   par->gen_buf_in = 0;
   par->sub_of = 0;
   par->no_support = 0;
   par->cnf = 0;
   par->no_support = 0;
   
   par->print_input = 0;
   par->print_lexout = 0;
   
   par->opt_verbose = 0;
   par->opt_net_file = 0;
   par->opt_html = 0;
   par->opt_default_lexer = 0;
   par->opt_print_input = 0;
   par->opt_print_lexer_output = 0;
   par->opt_use_switch = 0;
   
   par->top_rule = 0;
   par->last_rule = 0;
   par->last_node = 0;   
}
