/* par_pr_tables.c */
/*
   Copyright (C) 2006 John W. Jordan
   All Rights Reserved
*/
/* 
  This file is part of Dante.
  Dante is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the license, or
  ( at your option ) any later version.
  Dante is distributed in the hope that it will be usefull,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A OARTICULAR PURPOSE. See the
  GNU General Public License for more detaile.
  You should have received a copy of the GNU General Public License
  along with Dante; if not write to the Free Software
  Foundation. Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301
USA
*/
#include <stdio.h>
#include <string.h>
#include "par.h"
#include "dan_act.h"
#include "par_sym.h"
/* -------------- PROTOTYPES OF LOCAL PROCEDURES --------------------- */
/* ------------------------------------------------------------------- */
 void
par_pr_tables (PAR * par)
{ 
  void *rwtbl;
  void *typetbl;
  SYM *sym;
  int k; 
  char *pname;

  pname = par->pname;
  rwtbl = par->rwtbl;
  typetbl = par->typetbl;
 
  printf ("RESERVED WORDS:\n");    
  k = 0;
  while (sym = (SYM *) Item (par->rwtbl, k++))
    {
	printf ("dan_reswd sym %s code %d\n", sym->name, sym->type);
    }
    
 printf ("TYPES- TO BE DEFINED BY LEXER:\n");  
    k = 0;
  while (sym = (SYM *) Item (par->typetbl, k++))
    {
	printf ("dan_type sym %s code %d\n", sym->name, sym->type);
    }  

 printf ("OPERATORS:\n");  
    k = 0;
  while (sym = (SYM *) Item (par->littbl, k++))
    {
	printf ("dan_oper sym %s code %d\n", sym->name, sym->type);
    }  
}

