/* par_set_no.c */
/*
   Copyright (C) 2006 John W. Jordan
   All Rights Reserved
*/
/* 
  This file is part of Dante.
  Dante is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the license, or
  ( at your option ) any later version.
  Dante is distributed in the hope that it will be usefull,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A OARTICULAR PURPOSE. See the
  GNU General Public License for more detaile.
  You should have received a copy of the GNU General Public License
  along with Dante; if not write to the Free Software
  Foundation. Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301
USA
*/
#include "par.h"
#include "dan_act.h"
/* ------------------------------------------------------------ */
void
par_set_no (PAR * par)
{
  NODE *rule;
  NODE *node;
  int id = 4;
  int ano = 1;
  int eno = 1;

  for (rule = (NODE *) par->top_rule; rule; rule = rule->rlink)
    for (node = rule; node; node = node->nlink)
      {
	node->id = id++;
	if ((node->action[0]) || (node->code_ref[0]) || (node->fun_ref[0]))
	  node->ano = ano++;
	if (node->alt == (NODE *) 2)
	  node->eno = eno++;
	else if (node->suc == (NODE *) 2)
	  node->eno = eno++;
      }
}
