/* par_cnf_optbl.c */
/* This file is Dante output,
   which you may modify and use
   in your application without restriction.
*/
#include <string.h> 
#include "par.h" 

typedef struct 
{ 
    char   *name;
    int    type;
}OPTBL; 

#define OPTBL_SIZE 0
static const OPTBL optbl[OPTBL_SIZE] = 
{
};
int par_cnf_optbl (PAR *par)
{
  int i = 0;
  int j = OPTBL_SIZE - 1;
  int k;

  /* Test for end of file. */
  if(par->lex_c == 0) return 0;

  /* Binary search. */
  while (i <= j)
    {
      k = (i + j) >> 1;
      switch (cmpstr (par->symbol, optbl[k].name))
      {
      case -1: j = k - 1; break;
      case  0: par->type = optbl[k].type; return optbl[k].type; break;
      case  1: i = k + 1; break;
      }
    }
	fprintf (stderr,
	"ERROR: Line number %d\n", par->lineno);
	fprintf (stderr,
	"Invalid operator: [%s]\n", par->symbol);
	fprintf (stderr,
	"Check for missing whitespace between operators.\n");
  exit (1);
} 

