/* par_add_suffix.c */
/*
   Copyright (C) 2006 John W. Jordan
   All Rights Reserved

  This file is part of Dante.
  Dante is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the license, or
  ( at your option ) any later version.
  Dante is distributed in the hope that it will be usefull,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A OARTICULAR PURPOSE. See the
  GNU General Public License for more detaile.
  You should have received a copy of the GNU General Public License
  along with Dante; if not write to the Free Software
  Foundation. Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301
USA
*/
/* Adds a suffix to a string. */
#include <string.h>
char * 
par_add_suffix (char *in, char *suffix)
{
  int len;
  int k;
  char *out;
  
  len = strlen (in) + strlen (suffix) + 2;
  out = (char *) xmalloc (len);


  for (k = 0; k < strlen (in) + 1; k++)
    if (in[k] == '.')
      {
	out[k] = '\0';
	break;
      }
    else
      out[k] = in[k];

  strcat (out, suffix);
  return out;
}
