/* par_eof.c */
/*
   Copyright (C) 2006 John W. Jordan
   All Rights Reserved

  This file is part of Dante.
  Dante is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the license, or
  ( at your option ) any later version.
  Dante is distributed in the hope that it will be usefull,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A OARTICULAR PURPOSE. See the
  GNU General Public License for more detaile.
  You should have received a copy of the GNU General Public License
  along with Dante; if not write to the Free Software
  Foundation. Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301
USA
*/
/* This function checks for data after the intended end of file. */
#include <stdio.h>
#include <string.h>
#include "par.h"
/* ------------------------------------------- */

par_eof(PAR *par)
{
  if (par->type == 0)
      return 1;
  else
  {
      fprintf (stderr,"ERROR: Line no. %d\n", par->lineno);
      fprintf (stderr,"Expected end of file got: %s\n", par->symbol);
      fprintf (stderr,"Look for extra input after intended eof.\n");
      exit (1);
  }
};
 

