/* par_lex_bstring.c */ 
/* This file is Dante output,
   which you may modify and use
   in your application without restriction.
*/
#include <stdio.h> 
#include <string.h> 
#include "par.h" 
#include "par_lex_bstring_types.h" 

/* -------------PROTOTYPES ------------ */
	int par_lex_cmp (PAR *par, int type, char *name);
       int par_lex_bstring(PAR *par); 
static int par_bstry(PAR *par); 
static int par_bstr_err(PAR *par); 

/* ------------------------------------------- */
int
par_lex_bstring(PAR *par)
{

	if(par_lex_cmp(par, 123, "lbrace")){}
		else return 0;

L2:	if(par_lex_cmp(par, 125, "rbrace")){return 1;}
	if(par_lex_cmp(par, 123, "lbrace")){par_lex_accept (par);}
		else goto L1;
	if(par_bstry(par)){goto L2;}

L1:	if(par_lex_cmp(par, 0, "eof")){par_bstr_err (par);goto L2;}
	if(par_lex_cmp(par, 1, "any")){par_lex_accept (par);goto L2;}
}
/* ------------------------------------------- */
static int
par_bstry(PAR *par)
{


L2:	if(par_lex_cmp(par, 125, "rbrace")){ par_lex_accept(par); return 1;}
	if(par_lex_cmp(par, 123, "lbrace")){par_lex_accept (par);}
		else goto L1;
	if(par_bstry(par)){goto L2;}

L1:	if(par_lex_cmp(par, 0, "eof")){par_bstr_err (par);goto L2;}
	if(par_lex_cmp(par, 1, "any")){par_lex_accept (par);goto L2;}
}
/* ------------------------------------------- */
static int
par_bstr_err(PAR *par)
{

      fprintf (stderr, "ERROR: PAR_LEX_BSTRING:\n");
      fprintf (stderr, "Line no. %d\n", par->lineno);
      fprintf (stderr, "An end of file occured inside a bstring.\n");
      fprintf (stderr, "Look for unbalanced {} pair.\n");
      par->symbol[64] = '\0';
      fprintf (stderr,"current symbol [%s]\n", par->symbol);
      exit (1);
 
}
